.gallery-slider {
    position: relative;
    overflow: hidden;
}

.slider-container {
    margin-top: 20px;
    overflow: hidden;
}

.slider-track {
    display: flex;
    transform: translateX(0);
    transition: none;
}

.slider-item {
    flex: 0 0 25%;
    padding: 0 10px;
    cursor: pointer;
    position: relative;
}

.hover-overlay {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: rgba(0, 0, 0, 0.5);
    display: flex;
    align-items: center;
    justify-content: center;
    opacity: 0;
    transition: opacity 0.3s ease;
    pointer-events: none;
}

.hover-overlay span {
    color: var(--mkpi-text-primary-dark);
    font-size: 1.1rem;
}

.slider-item:hover .hover-overlay {
    opacity: 1;
}

#productDetailModal .modal-header {
    border-bottom: none;
}

.testimonial-viewport {
    width: 100%;
    overflow: hidden;
    position: relative;
}

.testimonial-mask {
    width: 150%;
    margin-left: -25%;
}

.testimonial-slider {
    position: relative;
    overflow: hidden;
}

.testimonial-container {
    width: 100%;
}

.testimonial-track {
    display: flex;
    align-items: stretch;
    transition: transform 0.5s ease-in-out;
    position: relative;
}

.testimonial-item {
    flex: 0 0 33.333%;
    width: 33.333%;
    transition: all 0.5s ease-in-out;
    opacity: 0.5;
}

.testimonial-item .testimonial-content {
    opacity: 0;
}

.testimonial-item.active {
    opacity: 1;
    z-index: 2;
}

.testimonial-item.active .testimonial-content {
    opacity: 1;
}

.testimonial-image {
    margin-bottom: var(--space-l);
    width: 100%;
    position: relative;
    padding-top: 56.25%; /* Das entspricht dem 16:9 Verhältnis (9/16 = 0.5625 = 56.25%) */
    overflow: hidden;
}

.testimonial-image img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.testimonial-content {
    transition: all 0.5s ease-in-out;
}

.testimonial-text {
    color: var(--mkpi-text-primary);
}

.testimonial-author {
    color: var(--mkpi-text-primary);
}

.slideshow-item {
    flex: 0 0 33.333%;
    opacity: 0.5;
    transition: opacity 500ms ease-in-out;
    position: relative;
}

.slideshow-item.active {
    opacity: 1;
}

.slideshow-item .slide-text {
    opacity: 0;
    transition: opacity 500ms ease-in-out;
}

.slideshow-item.active .slide-text {
    opacity: 1;
}

.slider-item .logo-box {
    background-color: var(--mkpi-bg-primary);
    border-radius: var(--mkpi-radius-sm);
    height: 100%;
    transition: transform 0.3s ease;
}

@media (max-width: 768px) {
    .testimonial-mask {
        width: 300dvw;
        margin-left: -100dvw;
    }
    
    .logo-box i {
        font-size: 1.5rem;
    }

    .slider-item {
        flex: 0 0 50%;
    }
}